Bullet Collision Detection & Physics Library: btIndexedMesh Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btIndexedMesh Struct Reference

The btIndexedMesh indexes a single vertex and index array. More...

`#include <btTriangleIndexVertexArray.h>`

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btIndexedMesh ()

## Public Attributes
int | m_numTriangles
const unsigned char * | m_triangleIndexBase
int | m_triangleIndexStride
int | m_numVertices
const unsigned char * | m_vertexBase
int | m_vertexStride
PHY_ScalarType | m_indexType
PHY_ScalarType | m_vertexType

## Detailed Description

The btIndexedMesh indexes a single vertex and index array.

Multiple btIndexedMesh objects can be passed into a btTriangleIndexVertexArray using addIndexedMesh. Instead of the number of indices, we pass the number of triangles.

Definition at line 25 of file btTriangleIndexVertexArray.h.

## Constructor & Destructor Documentation

## ◆ btIndexedMesh()

btIndexedMesh::btIndexedMesh | ( |  | ) |
| inline

Definition at line 48 of file btTriangleIndexVertexArray.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btIndexedMesh::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## ◆ m_indexType

PHY_ScalarType btIndexedMesh::m_indexType

Definition at line 41 of file btTriangleIndexVertexArray.h.

## ◆ m_numTriangles

int btIndexedMesh::m_numTriangles

Definition at line 30 of file btTriangleIndexVertexArray.h.

## ◆ m_numVertices

int btIndexedMesh::m_numVertices

Definition at line 34 of file btTriangleIndexVertexArray.h.

## ◆ m_triangleIndexBase

const unsigned char* btIndexedMesh::m_triangleIndexBase

Definition at line 31 of file btTriangleIndexVertexArray.h.

## ◆ m_triangleIndexStride

int btIndexedMesh::m_triangleIndexStride

Definition at line 33 of file btTriangleIndexVertexArray.h.

## ◆ m_vertexBase

const unsigned char* btIndexedMesh::m_vertexBase

Definition at line 35 of file btTriangleIndexVertexArray.h.

## ◆ m_vertexStride

int btIndexedMesh::m_vertexStride

Definition at line 37 of file btTriangleIndexVertexArray.h.

## ◆ m_vertexType

PHY_ScalarType btIndexedMesh::m_vertexType

Definition at line 46 of file btTriangleIndexVertexArray.h.

The documentation for this struct was generated from the following file:

- btTriangleIndexVertexArray.h